AviatoAviato
DeveloperAPI ReferenceAdapterJellyfinUserviews

Library views (modern alias)

GET
/api/adapter/jellyfin/UserViews

Returns the same library list as /Users/{userId}/Views. Newer Jellyfin clients hit this path with userId as a query param instead of a route segment.

Query Parameters

userId?string
includeExternalContent?string
presetViews?string
includeHidden?string

Response Body

application/json

curl -X GET "https://example.com/api/adapter/jellyfin/UserViews"
{
  "Items": [
    {
      "Id": "string",
      "Name": "string",
      "ServerId": "string",
      "Type": "string",
      "MediaType": "string",
      "CollectionType": "string",
      "ParentId": "string",
      "SeriesId": "string",
      "SeriesName": "string",
      "SeasonId": "string",
      "SeasonName": "string",
      "AlbumId": "string",
      "Album": "string",
      "AlbumArtist": "string",
      "AlbumPrimaryImageTag": "string",
      "ArtistItems": [
        {
          "Name": "string",
          "Id": "string",
          "property1": null,
          "property2": null
        }
      ],
      "IndexNumber": 0,
      "ParentIndexNumber": 0,
      "OriginalTitle": "string",
      "SortName": "string",
      "ForcedSortName": "string",
      "Overview": "string",
      "Taglines": [
        "string"
      ],
      "Genres": [
        "string"
      ],
      "GenreItems": [
        {
          "Name": "string",
          "Id": "string",
          "property1": null,
          "property2": null
        }
      ],
      "Tags": [
        "string"
      ],
      "Studios": [
        {
          "Name": "string",
          "Id": "string",
          "property1": null,
          "property2": null
        }
      ],
      "People": [
        {
          "Name": "string",
          "Id": "string",
          "Role": "string",
          "Type": "string",
          "PrimaryImageTag": "string",
          "property1": null,
          "property2": null
        }
      ],
      "ProductionYear": 0,
      "PremiereDate": "string",
      "EndDate": "string",
      "DateCreated": "string",
      "DateLastSaved": "string",
      "OfficialRating": "string",
      "CommunityRating": 0,
      "CriticRating": 0,
      "ProviderIds": {
        "property1": "string",
        "property2": "string"
      },
      "ProductionLocations": [
        "string"
      ],
      "ChildCount": 0,
      "RecursiveItemCount": 0,
      "EpisodeCount": 0,
      "RunTimeTicks": 0,
      "ImageTags": {
        "property1": "string",
        "property2": "string"
      },
      "BackdropImageTags": [
        "string"
      ],
      "ParentBackdropItemId": "string",
      "ParentBackdropImageTags": [
        "string"
      ],
      "ParentLogoItemId": "string",
      "ParentLogoImageTag": "string",
      "ParentThumbItemId": "string",
      "ParentThumbImageTag": "string",
      "ImageBlurHashes": {
        "property1": {
          "property1": "string",
          "property2": "string"
        },
        "property2": {
          "property1": "string",
          "property2": "string"
        }
      },
      "UserData": {
        "PlaybackPositionTicks": 0,
        "PlayCount": 0,
        "IsFavorite": true,
        "Played": true,
        "PlayedPercentage": 0,
        "LastPlayedDate": "string",
        "Key": "string",
        "ItemId": "string",
        "property1": null,
        "property2": null
      },
      "MediaSources": [
        {
          "Id": "string",
          "Name": "string",
          "Path": "string",
          "Protocol": "File",
          "Type": "Default",
          "Container": "string",
          "Size": 0,
          "Bitrate": 0,
          "RunTimeTicks": 0,
          "MediaStreams": [
            {
              "Type": "Audio",
              "Index": 0,
              "Codec": "string",
              "CodecTag": "string",
              "Profile": "string",
              "Language": "string",
              "DisplayTitle": "string",
              "Title": "string",
              "IsDefault": true,
              "IsForced": true,
              "IsExternal": true,
              "Width": 0,
              "Height": 0,
              "AspectRatio": "string",
              "AverageFrameRate": 0,
              "RealFrameRate": 0,
              "PixelFormat": "string",
              "ColorSpace": "string",
              "ColorTransfer": "string",
              "ColorPrimaries": "string",
              "Level": 0,
              "Channels": 0,
              "ChannelLayout": "string",
              "SampleRate": 0,
              "BitRate": 0,
              "DeliveryUrl": "string",
              "DeliveryMethod": "string",
              "property1": null,
              "property2": null
            }
          ],
          "DefaultAudioStreamIndex": 0,
          "DefaultSubtitleStreamIndex": 0,
          "DirectStreamUrl": "string",
          "TranscodingUrl": "string",
          "TranscodingSubProtocol": "string",
          "TranscodingContainer": "string",
          "IsRemote": true,
          "ETag": "string",
          "ReadAtNativeFramerate": true,
          "IgnoreDts": true,
          "IgnoreIndex": true,
          "GenPtsInput": true,
          "SupportsTranscoding": true,
          "SupportsDirectStream": true,
          "SupportsDirectPlay": true,
          "IsInfiniteStream": true,
          "RequiresOpening": true,
          "RequiresClosing": true,
          "RequiresLooping": true,
          "SupportsProbing": true,
          "MediaAttachments": [
            null
          ],
          "Formats": [
            "string"
          ],
          "VideoType": "string",
          "property1": null,
          "property2": null
        }
      ],
      "MediaStreams": [
        {
          "Type": "Audio",
          "Index": 0,
          "Codec": "string",
          "CodecTag": "string",
          "Profile": "string",
          "Language": "string",
          "DisplayTitle": "string",
          "Title": "string",
          "IsDefault": true,
          "IsForced": true,
          "IsExternal": true,
          "Width": 0,
          "Height": 0,
          "AspectRatio": "string",
          "AverageFrameRate": 0,
          "RealFrameRate": 0,
          "PixelFormat": "string",
          "ColorSpace": "string",
          "ColorTransfer": "string",
          "ColorPrimaries": "string",
          "Level": 0,
          "Channels": 0,
          "ChannelLayout": "string",
          "SampleRate": 0,
          "BitRate": 0,
          "DeliveryUrl": "string",
          "DeliveryMethod": "string",
          "property1": null,
          "property2": null
        }
      ],
      "Container": "string",
      "Chapters": [
        null
      ],
      "Trickplay": null,
      "CanDelete": true,
      "CanDownload": true,
      "HasSubtitles": true,
      "IsFolder": true,
      "IsHD": true,
      "LocationType": "string",
      "Path": "string",
      "Status": "string",
      "property1": null,
      "property2": null
    }
  ],
  "TotalRecordCount": 0,
  "StartIndex": 0
}